Skip to content

List all IdPs

Request

Lists all identity providers (IdPs) that are configured in Access Gateway

GET
/api/v2/idps
curl -i -X GET \
  https://oag.domain.tld/api/v2/idps

Responses

Success

Bodyapplication/json
Array [
descriptionstring

Short description of the IdP

domainstring

IdP domain

idstring, (uuid)

Unique identifier of the IdP

namestring

Name of the IdP

tenantstring

IdP tenant name

typestring

IdP type

Enum:"IDP_OKTA""IDP_AUTH0"
validationStatusobject

The validation status of the IdP

This object contains information about the status of the IdP connection, including whether the IdP is valid and any permissions associated with it.

]
Response
[ { "id": "10229d53-cb73-44b2-89b0-740f679b29b9", "type": "IDP_OKTA", "name": "My Okta IdP", "description": "Okta identity provider", "domain": "idp.company.com", "tenant": "company.okta.com", "validationStatus": {} }, { "id": "b9231786-7f66-488c-ad1d-e1bd8983bce8", "type": "IDP_AUTH0", "name": "My Auth0 IdP", "description": "Auth0 identity provider", "domain": "auth0.company.com", "tenant": "company.us.auth0.com", "validationStatus": {} } ]